Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Bounds.pidl File Reference

Pre-compiled IDL source for the CORBA::Bounds exception. More...

## Namespaces
namespace | CORBA
## Classes
exception | CORBA::Bounds
| UserException for NVList::item(). More...

## Detailed Description

Pre-compiled IDL source for the CORBA::Bounds exception.

Id
  Bounds.pidl,v 1.3 2005/12/17 03:16:58 ossama Exp

This file is used to generate BoundsC.{h,inl,cpp}, using the following command:

tao_idl -o orig -Ge 1 -GA -Sc -Sci -Wb,export_macro=TAO_Export -Wb,export_include=TAO_Export.h -Wb,pre_include="ace/pre.h" -Wb,post_include="ace/post.h" -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL Bounds.pidl

and then:

cp orig/BoundsC.{h,cpp} .